| Home | Libraries | People | FAQ | More

## Class template simple_seq_fit

boost::interprocess::simple_seq_fit

## Synopsis

    // In header: <boost/interprocess/mem_algo/simple_seq_fit.hpp>

    template<typename MutexFamily, typename VoidPointer>
    class simple_seq_fit {
    public:
      // construct/copy/destruct
      simple_seq_fit(std::size_t, std::size_t);
    };

## Description

This class implements the simple sequential fit algorithm with a simply linked list of free buffers.

### `simple_seq_fit` public construct/copy/destruct

1.     simple_seq_fit(std::size_t size, std::size_t extra_hdr_bytes);

   @ typedef detail::simple_seq_fit_impl<MutexFamily, VoidPointer> base_t;Constructor. "size" is the total size of the managed memory segment, "extra_hdr_bytes" indicates the extra bytes beginning in the sizeof(simple_seq_fit) offset that the allocator should not use at all.